1. 26 Apr, 2022 3 commits
  2. 23 Mar, 2022 4 commits
    • Nong Hoang Tu's avatar
      4acec417
    • Nong Hoang Tu's avatar
      Remove Debian's config files · 2f8b41ab
      Nong Hoang Tu authored
      2f8b41ab
    • Lorenzo "Palinuro" Faletra's avatar
      Import Debian changes 21.4.3-1parrot1 · 69f439ba
      Lorenzo "Palinuro" Faletra authored and Nong Hoang Tu's avatar Nong Hoang Tu committed
      gvm-libs (21.4.3-1parrot1) parrot-updates; urgency=medium
      .
        * Import new Debian release.
      .
      gvm-libs (21.4.3-1) unstable; urgency=medium
      .
        * New upstream version 21.4.3
        * Refresh patches
        * Bump Standards-Version to 4.6.0 (no changes)
        * Update symbols
      .
      gvm-libs (21.4.2-2) unstable; urgency=medium
      .
        * No change. Source only upload
      .
      gvm-libs (21.4.2-1) unstable; urgency=medium
      .
        * Update debian/copyright
        * New upstream version 21.4.2
        * Refresh patches
        * Add missing build-dep libnet1-dev
        * Change from libgvm20 to libgvm21
        * Add new symbols in debian/libgvm21.symbols
        * Bump Standards-Version to 4.5.1 (no change)
      .
      gvm-libs (20.8.0-2) unstable; urgency=medium
      .
        * Team upload.
      .
        [ Sophie Brun ]
        * Only build tests if cgreen is present (Closes: #976711)
        * Fix the patch disable-networking-test.patch
        * Add a patch to fix test (Closes: #976844)
      .
        [ Raphaël Hertzog ]
        * Improve patch metadata
      .
      gvm-libs (20.8.0-1) unstable; urgency=medium
      .
        * Team upload.
      .
        [ Sophie Brun ]
        * New upstream version 20.8.0
        * Add libcgreen1-dev as build-dep and remove patch
          disable-array-test-cgreen-is-not-available.patch
        * Update debian/copyright
        * Update build-deps for new release
        * Update library package name for version 20
        * Add myself as uploader
        * Build and run tests if cgreen is installed
      .
        [ Raphaël Hertzog ]
        * Enable diffoscope output in reprotest
      .
      gvm-libs (11.0.1-1) unstable; urgency=medium
      .
        * Team upload.
        * Upload to unstable.
        * Remove obsolete field Name from debian/upstream/metadata (already present
          in machine-readable debian/copyright).
        * Fix day-of-week for changelog entry 2.0.4-1.
      .
      gvm-libs (11.0.1-1~exp1) experimental; urgency=medium
      .
        [ Samuel Henrique ]
        * Configure git-buildpackage for Debian
      .
        [ Sophie Brun ]
        * Add option -DGVM_PID_DIR=/var/run/gvm
      .
        [ SZ Lin (林上智) ]
        * Import new upstream release
        * Update patch
        * Update symbol table
        * d/control:
          - Bump debhelper-compat to 13
          - Add a build dependency: libxml2-dev
        * d/rules:
          - Remove unneeded flag
      .
      gvm-libs (11.0.0-2~exp1) experimental; urgency=medium
      .
        [ Sophie Brun ]
        * Fix FTBFS during indep-only build (Closes: #947810)
      .
        [ SZ Lin (林上智) ]
        * d/control:
          - Bump Standards-Version to 4.5.0
      .
      gvm-libs (11.0.0-1) experimental; urgency=medium
      .
        * Team upload.
      .
        [ SZ Lin (林上智) ]
        * Import new upstream release
        * Rename package to gvm-libs
        * New upstream version 11.0.0
        * Remove *-nasl information
        * Remove unused patches
        * Update copyright content
        * Bump Standards-Version to 4.4.1
        * Use debhelper-compat (= 12) in build-dependency to replace d/compat
        * Add Rules-Requires-Root: no
        * Update d/control for proper dependency
        * Rename openvas to gvm
        * Update symbol table
      .
        [ Sophie Brun ]
        * Add a patch to disable a non-buildable test
        * Update description in debian/control
      .
      openvas-libraries (9.0.3-1) unstable; urgency=medium
      .
        * Import new upstream release
        * d/control:
          - Bump Standards-Version to 4.2.1
        * Remove fix-spelling-error.patch
        * Add patch to fix undeclared issue on hurd i386 platform
        * Add upstream metadata
      .
      openvas-libraries (9.0.2-1) unstable; urgency=medium
      .
        * Team upload.
        * Update debian/watch and debian/control with new upstream github repository
        * New upstram release
        * Update date in debian/copyright
        * Remove allow-radcli-in-addition-to-freeradius-client-to-provide-.patch
        * Remove useless debian/libopenvas-doc.lintian-overrides
        * Update debian/libopenvas9.symbols
        * Add a fix-spelling-error.patch
        * Add Breaks: openvas-scanner (<< 5.1.2~)
      .
      openvas-libraries (9.0.1-5) unstable; urgency=medium
      .
        [ Lukas Schwaighofer ]
        * Only generate doxygen documentation when building Architecture: all
          packages.
      .
        [ SZ Lin (林上智) ]
        * Converting git-dpm to gbp pq
        * Fix PATH_MAX undeclared issue on hurd-i386 platform
        * Remove "pcap-config --libs" workaround (Closes: #877435)
        * allow radcli in addition to freeradius-client to provide radius
          authentication support (Closes: #868677)
        * d/control: bump Standards-Version to 4.1.4
        *            bump debhelper to 11
        * d/compat: bump compat to 11
      .
      openvas-libraries (9.0.1-4) unstable; urgency=medium
      .
        [ SZ Lin (林上智) ]
        * Fix FTBFS issue by trailing whitespace in PCAP_LDFLAGS (Closes: #876093)
        * Bump Standards-Version to 4.1.0
      .
        [ ChangZhuo Chen (陳昌倬) ]
        * Bump compat to 10.
          * Migrate to use dh_missing.
        * Install manual for openvas-nasl-lint.
      .
        [ Lukas Schwaighofer ]
        * cleanup for compat 10
          * no longer pass `--parallel` and `--with systemd` to dh, these options
            have become the default
          * no longer depend on dh-systemd (which is part of debhelper now)
        * debian/control cleanup
          * remove unnecessary version constraints from dependencies
          * remove Replaces/Conflicts with versions no longer present in the archive
          * radius support was dropped, no longer Build-Depend on libradcli-dev
        * use https for the link to the copyright format
        * move the openvas-nasl tool into a separate package
        * mark libopenvas9 as Multi-Arch: same, drop obsolete Pre-Depends
        * override the soname mismatch lintian warning
        * do not select the "release" cmake type
          * we do not want -O3 and some other options that are automatically added
          * however, due to otherwise excessive debug logging, -DNDEBUG is preserved
        * explicitly set DEB_HOST_MULTIARCH in debian/rules
        * add a libopenvas-doc package containing the doxygen documentation
      .
      openvas-libraries (9.0.1-3) unstable; urgency=medium
      .
        * re-enable net-snmp support (Closes: #848080)
      .
      openvas-libraries (9.0.1-2) unstable; urgency=medium
      .
        * Move package from experimental to sid archive
        * Bump standards version to 4.0.0
      .
      openvas-libraries (9.0.1-1~exp1) experimental; urgency=medium
      .
        * Import new upstream release
      .
      openvas-libraries (9.0.0-1~exp1) experimental; urgency=medium
      .
        * Import new upstream release
      .
      openvas-libraries (8.0.8-1) unstable; urgency=medium
      .
        * Import new upstream release
      .
      openvas-libraries (8.0.7-1) unstable; urgency=medium
      .
        * Import upstream version to Debian (Closes: #835393)
      .
      openvas-libraries (8.0.7-0kali1) kali-experimental; urgency=medium
      .
        * Import new upstream release
        * Add RADIUS support
      .
      openvas-libraries (8.0.4-0kali1) kali-dev; urgency=medium
      .
        * Import new upstream release
        * Update .install to add openvas-nasl-lint
      .
      openvas-libraries (8.0.1-0kali2) kali-dev; urgency=medium
      .
        * Rebuild in kali-dev for libgcrypt20 and gnutls28 transition.
      .
      openvas-libraries (8.0.1-0kali1) kali; urgency=medium
      .
        * New upstream release
        * debian/control: update build dependencies
        * Replace libopenvas7 with libopenvas8
      .
      openvas-libraries (7.0.2-0kali2) kali-dev; urgency=medium
      .
        * Rebuild in kali-dev for libgcrypt20 and gnutls28 transition.
      .
      openvas-libraries (7.0.2-0kali1) kali; urgency=medium
      .
        * Rename source package to openvas-libraries like in upstream and debian
        * New upstream release
        * Move libraries to their multiarch location
        * Add a file debian/copyright
      .
      libopenvas (6.0.0-0kali2) kali; urgency=low
      .
        * Fix SYSCONFDIR, LOCALSTATEDIR and LIBDIR paths during configure in debian/rules.
      .
      libopenvas (6.0.0-0kali1) kali; urgency=low
      .
        * New upstream release.
        * Upgrade debhelper compat level to 9 to enable hardening without
          hardening-wrapper.
        * Update debian/rules to be dh-based.
        * Switch to “3.0 (quilt)” source format.
        * Rename libopenvas5-dev to libopenvas-dev (non-versioned).
        * Replace libopenvas5 package by libopenvas6.
        * Update the build dependencies to match cmake's checks.
      .
      libopenvas (5.0.4-1kali0) kali; urgency=low
      .
        * Upstream update
      .
      libopenvas (5.0+beta2-1) unstable; urgency=low
      .
        * New upstream release.
          - A bug which caused outdated cache files to be used under rare circumstances
            has been fixed.
          - Code cleanup and refactoring has taken place in NVT meta data management.
          - Libssh detection has been improved.
          - The LDAP auth DN validation has been improved.
          - Support for the observer role has been added and functionality for user
            management has been moved from openvas-administrator to openvas-libraries.
          - Support for name conversion for legacy .nes dependencies when loading the
            cache has been removed.
      .
      libopenvas (5.0+beta1-1) unstable; urgency=low
      .
        * New upstream release.
          - Support for improved SSH functionality has been added.
          - Support for comprehensive network scanning with nmap has been added.
          - A number of compiler warnings have been addressed.
          - Support for shared sockets has been removed.
          - OpenVAS Libraries will now honor the unscanned_closed_udp preference when
            deciding how an unscanned UDP port should be treated.
          - Nmap support has been improved.
      .
      libopenvas (4.0.5-1) unstable; urgency=low
      .
        * New upstream release.
          - OpenVAS Libraries will now honor the unscanned_closed_udp preference when
            deciding how an unscanned UDP port should be treated.
          - Compiler warnings from gcc 4.6 have been addressed.
      .
      libopenvas (4.0.4-1) unstable; urgency=low
      .
        * New upstream release.
          - The handling of internal dependencies while linking has been improved,
            parallel builds of openvas-libraries should now work.
          - Two potential resource leaks reported by Pavel Sejnoha and Henri Doreau have
            been fixed.
          - The setting "unscanned_closed" is now properly applied to UDP ports.
      .
      libopenvas (4.0.3-1) unstable; urgency=low
      .
        * New upstream release.
          - A bug which caused only the first NVT dependency to be considered has been fixed.
          - A bug which caused WMI connects to fail has been fixed.
      .
      libopenvas (4.0.2-1) unstable; urgency=low
      .
        * New upstream release.
          - The LSC RPM creator support script is now installed correctly.
          - The build environment has been consolidated.
          - A bug which could cause a segmentation fault when using IPv6 under certain
            circumstances has been fixed.
          - The check for administrative user privileges has been made more strict.
      .
      libopenvas (4.0.0-1) unstable; urgency=low
      .
        * New upstream release.
          - Setting file handling has been updated to match changes in openvas-scanner.
          - Support for pkg-config has been (re-)introduced.
          - File locations have been adjusted to conform to the Filesystem Hierarchy
            Standard.
      .
      libopenvas (3.99.4-1) unstable; urgency=low
      .
        * New upstream release.
          - The build environment has fixed in a number of places to restore expected
            behaviour after the move to cmake.
          - The documentation has been updated to match the changes in the build
            environment.
      .
      libopenvas (3.99.3-1) unstable; urgency=low
      .
        * New upstream release.
          - Improved and fixed remote LDAP authentication.
          - Former binary ".nes" NVTs "find_service", "openvas_tcp_scanner"
            and "synscan" are now built-in NASL methods.
          - Any autotools-related build environment was removed.
          - At top-level a cmake-based build environment was introduced.
          - libopenvas_omp: Activated escaping of characters so that
            special characters can more save be allowed for some OMP commands.
          - example_auth.conf was updated with more sensible values.
          - Bug fix on Credential creation.
          - this package now initially creates required directories in the
            installation directory (if not present). This was done by other
            modules previously (mostly openvas-scanner)
          - Many old code paths for certain operting system environments
            have been removed. Most likely, HPUX, Solaris and similar
            won't compile this code anymore.
      .
      libopenvas (3.99.2-1) unstable; urgency=low
      .
        * New upstream release.
          - The user creation process has been made more robust.
          - More compiler warnings have been addressed.
      .
      libopenvas (3.99.1-1) unstable; urgency=low
      .
        * New upstream release.
          - The documentation in the INSTALL_README file has been updated.
          - A number of compiler warnings by gcc 4.4 has been addressed.
          - A incorrect error message during user creation that only occurred in setuid
            environments has been removed.
      .
      libopenvas (3.98.2-1) unstable; urgency=low
      .
        * New upstream release.
          - Further code cleanup has lead to the removal of more than 3,500 lines of
            unused code.
          - A bug which tried to free memory that was not allocated before under some
            circumstances has been fixed.
          - Superfluous log messages regarding file uploads have been removed.
      .
      libopenvas (3.98.1-1) unstable; urgency=low
      .
        * New upstream release.
          - Network level scan support.
          - The code for providing OMP functionality has been cleaned up.
          - Further code cleanup has lead to the removal of more than 3,500 lines of
            unused code.
          - A bug which tried to free memory that was not allocated before under some
            circumstances has been fixed.
          - Superfluous log messages regarding file uploads have been removed.
          - NVT meta data management has been improved, resulting in a smaller memory
            footprint of the scanner.
          - The install path for header files has been made more consistent.
      .
      libopenvas (3.1.3-1) unstable; urgency=low
      .
        * New upstream release.
          - Significant memory leaks are closed.
          - Bug fix for handling shared file descriptors that now
            prevents unnecessary use of new file descriptiors under
            certain circumstances.
          - Little fix in the nasl wmi api.
      .
      libopenvas (3.1.2-1) unstable; urgency=low
      .
        * New upstream release.
          * A bug in the WMI interface stub which caused the build to fail when configured
            without WMI has been fixed.
      .
      libopenvas (3.1.1-1) unstable; urgency=low
      .
        * New upstream release.
          * Cross compile support for mingw32 has been added to libopenvas/base.
          * Missing copyright and license information has been added to a number of files.
          * The COPYING file has been updated to better indicate the licenses of
            individual files and the full text for all licenses has been added.
          * The WMI infrastructure has been updated to match necessary changes in the API
            of the WMI patch.
          * The documentation on using WMI in libopenvas has been updated.
      .
      libopenvas (3.1.0-2) unstable; urgency=low
      .
        * Add openvas-nasl to libopenvas3-dev
      .
      libopenvas (3.1.0-1) unstable; urgency=low
      .
        * New upstream release.
          - Code cleanup: Code from openvas-administrator and openvas-manager which could
            be more appropriately placed in libopenvas has been moved here.
          - Initial support for LDAP authentication has been added.
          - IPv6 support has been improved.
          - Support for building parts of libopenvas on Windows has been added.
          - Support for reading preference file uploads from memory instead of from disk
            has been added.
          - Support for NTLMSSP has been added.
          - Authentication mechanism extended to support LDAP and ADS.
          - An issue which caused SSH logins with RSA keys on remote systems to fail under
            certain circumstances has been fixed.
          - Support for logging to syslog has been added.
          - Support for scanning virtual web hosts has been added.
      .
      libopenvas (3.1.0.rc3) unstable; urgency=low
      .
        * New upstream release.
          - An issue which caused the build to fail on Gentoo GNU/Linux systems has been
            fixed.
          - An issue which caused openvas-client, openvas-cli and openvas-manager to fail
            to build with libopenvas has been fixed.
      .
      libopenvas (3.1.0.rc2) unstable; urgency=low
      .
        * New upstream release.
          - QA: A number of compiler warnings have been addressed.
          - Authentication mechanism extended to support LDAP and ADS.
          - An issue which caused SSH logins with RSA keys on remote systems to fail under
            certain circumstances has been fixed.
          - A bug which caused segmentation faults when using NTLMSSP authentication in
            libopenvas built with WMI supports has been fixed.
          - Support for logging to syslog has been added.
          - Support for scanning virtual web hosts has been added.
      .
      libopenvas (3.1.0.rc1) unstable; urgency=low
      .
        * New upstream release.
          - Code cleanup: Code from openvas-administrator and openvas-manager which could
            be more appropriately placed in libopenvas has been moved here.
          - Initial support for LDAP authentication has been added.
          - A bug which caused WMI support to be disabled in the standalone NASL
            interpreter has been fixed.
          - IPv6 support has been improved.
          - Support for building parts of libopenvas on Windows has been added.
          - Support for reading preference file uploads from memory instead of from disk
            has been added.
          - Support for NTLMSSP has been added.
      .
      libopenvas (3.0.5-1) unstable; urgency=low
      .
        * New upstream release.
          - The build infrastructure for the hg and misc modules has been switch to CMake
            from autoconf.
          - Support for resuming tasks has been added to OMP.
          - Packet forgery support for IPv6 has been improved.
          - A build issue on Mandriva has been fixed.
      .
      libopenvas (3.0.4-1) unstable; urgency=low
      .
        * New upstream release.
          - Several build issues on Mandriva have been fixed.
          - Support for using libopenvas in C++ code has been introduced for some
            OMP libraries.
          - The openvas-nasl standalone NASL interpreter is now linked dynamically.
          - A bug which caused some GnuTLS error messages to be printed to stderr instead
            of to the logs had been fix.
          - Support for registry hives has been added to the WMI registry functions.
          - Support for detecting libraries in non-standard locations during the
            configuration process has been added.
          - Support for multiple levels of subdirectories in the NVT directory has been
            improved.
      .
      libopenvas (3.0.3-1) unstable; urgency=low
      .
        * New upstream release.
          - Initial support for dropping privileges.
          - New crypto functions and support for SMB NTLMv1 and NTLMv2.
      .
      libopenvas (3.0.2-1) unstable; urgency=low
      .
        * New upstream release.
          - Support for modifying scanner configuration files has been added.
          - The API for retrieving settings has been improved.
      .
      libopenvas (3.0.1-1) unstable; urgency=low
      .
        * New upstream release.
          - The OMP API has been updated.
          - An unnecessary GnuTLS call has been removed.
          - Minor code cleanups.
      .
      libopenvas (3.0.0-1) unstable; urgency=low
      .
        * New upstream release.
          - IPv6 support
          - WMI-Client support (optional)
          - Integration of openvas-libnasl
          - New library "base"
          - New library "omp"
          - Former libopenvas renamed to libopenvas_misc
          - New NVT cache implementation to overcome limitations
          - Several files from openvas-client integrated
          - Use of "cmake" to build base, omp and nasl
          - glib dependency raised from 2.6 to 2.12
      .
      libopenvas (2.0.4-1) unstable; urgency=low
      .
        * New upstream release.
      .
      libopenvas (2.0.3-1) unstable; urgency=low
      .
        * New upstream release.
      .
      libopenvas (2.0.2-1) unstable; urgency=low
      .
        * New upstream release.
      .
      libopenvas (2.0.1-1) unstable; urgency=low
      .
        * New upstream release
        * Updated the control file to take account of translation work as part
          of the Smith review project
        * Fixed broken linking (linker-libs.dpatch)
      .
      libopenvas (2.0.0-2) unstable; urgency=low
      .
        * Brown paper bug upload: Restore the changes introduced since 1.0.1-5
        * Make proper versioned binary packages for this library
        * Add a Build-Depend on libglib2.0-dev (Closes: 511627)
        * Conflict against libopenvas1-dev
      .
      libopenvas (2.0.0-1) unstable; urgency=low
      .
        * New upstream release
      .
      libopenvas (2.0.0.beta2-1) UNRELEASED; urgency=low
      .
        * New upstream release
      .
      libopenvas (2.0.0.beta1-1) UNRELEASED; urgency=low
      .
        * New upstream release
        * Cleaned up the rules
        * Updated copyright
      .
      libopenvas (1.0.2-2) UNRELEASED; urgency=low
      .
        * Not released yet
      .
      libopenvas (1.0.2-1) unstable; urgency=low
      .
        * New upstream release
        * Add Tim and myself to Uploaders
        * Set Debian Maintainers Mailing List as Maintainer
        * Add Vcs-Headers
        * Bump Standards Version to 3.8.0, no changes needed
        * Remove trailing whitespaces from EOL and EOF in debian/*
        * Move Section to right place for libopenvas in control
        * Also depend on libgnutls-dev, libpcap-dev for -dev
        * Remove debian/*.dirs since unneeded
      .
      libopenvas (1.0.1-5) unstable; urgency=low
      .
        * Fix the Makefile so that the library is linked with the appropriate
          libraries. Also change libopenvas.tmpl
        * Drop the libgpgme11-dev Build-Dep, we actually don't need it, none of the
          sources build use the gpgme.h header.
      .
      libopenvas (1.0.1-4) unstable; urgency=low
      .
        * Minor updates to control and copyright file to fix issues highlighted
          by jfs in regard to the priority and copyright of the packaging
          respectively
        * Minor update to control to fix differing dependency between
          libopenvas and openvas-libnasl as highlighted by jfs
      .
      libopenvas (1.0.1-3) unstable; urgency=low
      .
        * Minor update to control file, fixed dependency on ${source:Version} substvar
      .
      libopenvas (1.0.1-2) unstable; urgency=low
      .
        * Minor updates to control file, now lists jfs as uploader, fixed deprecated
          ${Source-Version} substvar, Build-Depends directive
        * Minor update to rules file, DH_COMPAT environment variable no longer required
        * Minor update to libopenvas2-dev.install
      .
      libopenvas (1.0.1-1) unstable; urgency=low
      .
        * New upstream release
      .
      libopenvas (1.0.0-1) unstable; urgency=low
      .
        * New upstream release
      .
      libopenvas (0.9.1-2) unstable; urgency=low
      .
        * Minor updates to the control and copyright files
      .
      libopenvas (0.9.1-1) unstable; urgency=low
      .
        * Initial release
      69f439ba
    • Nong Hoang Tu's avatar
      New upstream version 21.4.3 · d650f052
      Nong Hoang Tu authored
      d650f052